Как получить Id элементов, созданных методомElementTransformUtils.MirrorElements

Автор Тема: Как получить Id элементов, созданных методомElementTransformUtils.MirrorElements  (Прочитано 1255 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн ivmaxАвтор темы

  • ADN OPEN
  • Сообщений: 11
  • Карма: 0
Добрый день!
Подскажите пожалуйста как получить Id элементов вновь созданных методом ElementTransformUtils.MirrorElements()?
У меня метод почему то возвращает список из 17 объектов ElementId, в числе которых нет вновь созданного элемента. При том что "зеркалю" я только 1 элемент.
Заметил, что IntegerValue нужного мне элемента, который был создан методом MirrorElements, на 1  больше последнего  IntegerValue в списке возвращаемом методом ElementTransformUtils.MirrorElements().
Что я делаю не так? :)

Отмечено как Решение ivmax 02-11-2016, 18:36:23

Оффлайн Виктор Чекалин

  • Administrator
  • *****
  • Сообщений: 692
  • Карма: 106
  • Skype: chekalin-v
ivmax,  добрый день.
Вообще конечно странно, что в списке нет идентификатора созданного элемента. То что возвращается список из 17 объектов - само по себе нормально, так как копируются еще и связанные объекты. Но вот то что среди этого списка нет идентификатора объекта, который был получен в результате отражения - очень странно. Попробуйте на каком-нибудь другом примитивном объекте , типа Стена, в пустом проекте. Там такое же поведение?
Хотел в качестве решения предложить использовать событие DocumentChanged, и пока искал статью на сайте, обнаружил, что есть решение точно такой же проблемы.
Хоть там и говорится, что метод не возвращает значение (видимо был актуально для прошлых версий), но решение тем не менее актуально

Оффлайн ivmaxАвтор темы

  • ADN OPEN
  • Сообщений: 11
  • Карма: 0
Виктор , спасибо за решение!

В новом проекте идентификатор объекта в списке, который был получен в результате отражения - есть, видимо я несколько раз подряд проглядел его.